OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
LDOM

# LDOM_CharacterData Class Reference

`#include <LDOM_CharacterData.hxx>`

Inheritance diagram for LDOM_CharacterData:

[legend]

## Public Member Functions
| LDOM_CharacterData ()
| LDOM_CharacterData (const LDOM_CharacterData &theOther)
Standard_EXPORT LDOM_CharacterData & | operator= (const LDOM_NullPtr *aNull)
Standard_EXPORT LDOM_CharacterData & | operator= (const LDOM_CharacterData &anOther)
LDOMString | getData () const
Standard_EXPORT void | setData (const LDOMString &aValue)
Standard_EXPORT Standard_Integer | getLength () const
## Protected Member Functions
| LDOM_CharacterData (const LDOM_BasicText &aText, const Handle(LDOM_MemManager)&aDoc)
## Private Attributes
Standard_Integer | myLength

## Constructor & Destructor Documentation

LDOM_CharacterData::LDOM_CharacterData | ( |  | ) | `[inline]`

LDOM_CharacterData::LDOM_CharacterData | ( | const LDOM_CharacterData & | theOther | ) | `[inline]`

LDOM_CharacterData::LDOM_CharacterData | ( | const LDOM_BasicText & | aText,
|  | const Handle(LDOM_MemManager)& | aDoc
| ) | `[protected]`

## Member Function Documentation

LDOMString LDOM_CharacterData::getData | ( |  | ) | const`[inline]`

Standard_EXPORT Standard_Integer LDOM_CharacterData::getLength | ( |  | ) | const

Standard_EXPORT LDOM_CharacterData& LDOM_CharacterData::operator= | ( | const LDOM_CharacterData & | anOther | ) |

Standard_EXPORT LDOM_CharacterData& LDOM_CharacterData::operator= | ( | const LDOM_NullPtr * | aNull | ) |

| Reimplemented from LDOM_Node. Reimplemented in LDOM_CDATASection, LDOM_Comment, and LDOM_Text.

Standard_EXPORT void LDOM_CharacterData::setData | ( | const LDOMString & | aValue | ) |

## Field Documentation

Standard_Integer LDOM_CharacterData::myLength`[private]`

The documentation for this class was generated from the following file:

- LDOM_CharacterData.hxx